<?php
/**
 * Webkul Software.
 *
 * @category  Webkul
 * @package   Webkul_MpBuyerSellerChatApi
 * @author    Webkul
 * @copyright Copyright (c) Webkul Software Private Limited (https://webkul.com)
 * @license   https://store.webkul.com/license.html
 */
namespace Webkul\MpBuyerSellerChatApi\Model\Chat;

use Webkul\MpBuyerSellerChatApi\Api\Data\SaveChatInterface;
use Webkul\MpBuyerSellerChatApi\Api\Data\CustomerInterface;

class SaveChat extends \Magento\Framework\DataObject implements SaveChatInterface
{
    /**
     * Get Status
     *
     * @return string|null
     */
    public function getStatus()
    {
        return $this->getData(self::STATUS);
    }
     
    /**
     * Set Status
     * @param string
     * @return string $status
     */
    public function setStatus($status)
    {
        return $this->setData(self::STATUS, $status);
    }

    /**
     * Get Locale
     *
     * @return string|null
     */
    public function getLocale()
    {
        return $this->getData(self::LOCALE);
    }
     
    /**
     * Set Locale
     * @param string
     * @return string $locale
     */
    public function setLocale($locale)
    {
        return $this->setData(self::LOCALE, $locale);
    }

    /**
     * Get Success
     *
     * @return boolean|null
     */
    public function getSuccess()
    {
        return $this->getData(self::SUCCESS);
    }
     
    /**
     * Set Success
     * @param boolean
     * @return boolean $success
     */
    public function setSuccess($success)
    {
        return $this->setData(self::SUCCESS, $success);
    }

    /**
     * Get Locale
     *
     * @return integer|null
     */
    public function getMessage()
    {
        return $this->getData(self::MESSAGE);
    }
     
    /**
     * Set Message
     * @param integer
     * @return integer $messgae
     */
    public function setMessage($messgae)
    {
        return $this->setData(self::MESSAGE, $messgae);
    }

    /**
     * Get Translated Message
     *
     * @return string|null
     */
    public function getTranslatedMessage()
    {
        return $this->getData(self::TRANSLATED_MESSAGE);
    }
     
    /**
     * Set Translated Message
     * @param string
     * @return string $messgae
     */
    public function setTranslatedMessage($messgae)
    {
        return $this->setData(self::TRANSLATED_MESSAGE, $messgae);
    }

    /**
     * Get customer
     *
     * @return \Webkul\MpBuyerSellerChatApi\Api\Data\CustomerInterface $customer
     */
    public function getCustomer()
    {
        return $this->getData(self::CUSTOMER);
    }

    /**
     * Set customer
     *
     * @param \Webkul\MpBuyerSellerChatApi\Api\Data\CustomerInterface $customer
     * @return $this
     */
    public function setCustomer(CustomerInterface $customer)
    {
        return $this->setData(self::CUSTOMER, $customer);
    }

    /**
     * Get url
     *
     * @return String $url
     */
    public function getAttachmentUrl()
    {
        return $this->getData(self::ATTACHMENT_URL);
    }

    /**
     * Set url
     *
     * @param String $url
     * @return $this
     */
    public function setAttachmentUrl($url)
    {
        return $this->setData(self::ATTACHMENT_URL, $url);
    }
}
